import React from 'react';
import VodList from './vodList';
import { createStore } from "redux"
import { Provider } from "react-redux"
import {composeWithDevTools} from "redux-devtools-extension"
import { Red } from "../reducer/reducer";
import MovieInfo from './movieInfo';

const myCompose = composeWithDevTools({});
let myStore = createStore(Red, myCompose());

function AppVod(props) {
  return (
    <Provider store={myStore}>
      <div className="container">
        <h1 className="display-4">V.O.D App</h1>
        <MovieInfo />
        <VodList />
      </div>
    </Provider>
  )
}

export default AppVod